Package com.orchestranetworks.schema.types.dataset

# Enum Class DatasetSet.DatasetChildrenPolicy

java.lang.Object
java.lang.Enum<DatasetSet.DatasetChildrenPolicy>
com.orchestranetworks.schema.types.dataset.DatasetSet.DatasetChildrenPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DatasetSet.DatasetChildrenPolicy>`, `Constable`

Enclosing interface:
  DatasetSet

public static enum DatasetSet.DatasetChildrenPolicy extends Enum<DatasetSet.DatasetChildrenPolicy>
Inclusion policies for the children of a current dataset in a current subset.

Since:
  5.8.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INCLUDE_ALL_DESCENDANTS`
  All children datasets, recursively, must be included in the current subset.
  `INCLUDE_DIRECT_CHILDREN`
  Only direct children must be included in the current subset.
  `NONE`
  No instruction to include dataset children.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format()`
  Returns the code associated with this policy.
  `UserMessage`
  `getLabel()`
  Returns the policy label.
  `static final DatasetSet.DatasetChildrenPolicy`
  `parsePolicy(String aValue)`
  Parses a string value, and returns the associated children policy.
  `static DatasetSet.DatasetChildrenPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DatasetSet.DatasetChildrenPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DatasetSet.DatasetChildrenPolicy NONE
    No instruction to include dataset children.

  - ### INCLUDE_ALL_DESCENDANTS

    public static final DatasetSet.DatasetChildrenPolicy INCLUDE_ALL_DESCENDANTS
    All children datasets, recursively, must be included in the current subset.

  - ### INCLUDE_DIRECT_CHILDREN

    public static final DatasetSet.DatasetChildrenPolicy INCLUDE_DIRECT_CHILDREN
    Only direct children must be included in the current subset.

- ## Method Details

  - ### values

    public static DatasetSet.DatasetChildrenPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DatasetSet.DatasetChildrenPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parsePolicy

    public static final DatasetSet.DatasetChildrenPolicy parsePolicy(String aValue)
    Parses a string value, and returns the associated children policy.
    Parameters:
      `aValue` - the children policy as a literal string

  - ### getLabel

    public UserMessage getLabel()
    Returns the policy label.

  - ### format

    public String format()
    Returns the code associated with this policy.